import request from '@/utils/request'
// 修图人员获取工作状态
export function getWorkState(data) {
  return request({
    url: '/idp/getWorkState',
    method: 'post',
    params: data
  })
}
// 获取修图订单列表
export function getSelfPrintOrderList(data) {
  return request({
    url: '/idp/getSelfPrintOrderList',
    method: 'post',
    params: data
  })
}
// 退回
export function backOrder(data) {
  return request({
    url: '/idp/backOrder',
    method: 'post',
    params: data
  })
}
// 修图人员上班
export function clockIn(data) {
  return request({
    url: '/idp/clockIn',
    method: 'post',
    params: data
  })
}
// 修图人员下班
export function clockOut(data) {
  return request({
    url: '/idp/clockOut',
    method: 'post',
    params: data
  })
}
// 修图人员示忙
export function busyCheck(data) {
  return request({
    url: '/idp/busyCheck',
    method: 'post',
    params: data
  })
}
// 修图人员示闲
export function relaxedCheck(data) {
  return request({
    url: '/idp/relaxedCheck',
    method: 'post',
    params: data
  })
}

// 删除pdf
export function deleteOrderPDFFile(data) {
  return request({
    url: '/order/v1/deleteOrderPDFFile',
    method: 'post',
    params: data
  })
}
// 获取展开尺寸
export function orderCalcSpreadSize(data) {
  return request({
    url: '/order/v1/orderCalcSpreadSize',
    method: 'post',
    params: data
  })
}

// 修改P数
export function editImageDispatchItemPCount(data) {
  return request({
    url: '/idp/editImageDispatchItemPCount',
    method: 'post',
    params: data
  })
}
